Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Lex_String_Input Class Reference

Have Lex read from a string and not from stdin. Essentially, the interpreter needs to call yylex() until EOF, and call TAO_Lex_String_Input::reset() with the new string, prior to calling yyparse. More...

`#include <Interpreter.h>`

List of all members.

## Static Public Methods
void | reset (char *input_string)
| Reset the lex input.
int | copy_into (char *buf, int max_size)
| Method lex will call to read from the input string.
## Static Private Attributes
char * | string_ = 0
| Pointers to keep track of the input string.
char * | current_ = 0
char * | end_ = 0

## Detailed Description

Have Lex read from a string and not from stdin. Essentially, the interpreter needs to call yylex() until EOF, and call TAO_Lex_String_Input::reset() with the new string, prior to calling yyparse.

## Member Function Documentation

int TAO_Lex_String_Input::copy_into | ( | char * | buf,
|  | int | max_size
| ) | `[static]`

| Method lex will call to read from the input string.

void TAO_Lex_String_Input::reset | ( | char * | input_string | ) | `[static]`

| Reset the lex input.

## Member Data Documentation

char * TAO_Lex_String_Input::current_ = 0`[static, private]`

char * TAO_Lex_String_Input::end_ = 0`[static, private]`

char * TAO_Lex_String_Input::string_ = 0`[static, private]`

| Pointers to keep track of the input string.

The documentation for this class was generated from the following files:

- Interpreter.h
- Interpreter.cpp